import { Component } from 'inferno-compat';
import { Store } from 'redux';
import ApolloClient from 'apollo-client';
export interface ProviderProps {
    store?: Store<any>;
    immutable?: boolean;
    client: ApolloClient;
}
export default class ApolloProvider extends Component<ProviderProps, any> {
    static propTypes: {
        store: any;
        client: any;
        immutable: any;
        children: any;
    };
    static childContextTypes: {
        store: any;
        client: any;
    };
    store: Store<any>;
    client: ApolloClient;
    constructor(props: any, context: any);
    getChildContext(): {
        store: Store<any>;
        client: ApolloClient;
    };
    render(): any;
}
